## libmm-qt 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(ModemManagerQt)

include(FindPkgConfig)

set(VERSION 1.0.1)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})
set(LIB_SUFFIX "" CACHE STRING "Define suffix of library directory name (32/64)" )
set(LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING
    "Library directory name")
set(PKGCONFIG_INSTALL_PREFIX "${LIB_DESTINATION}/pkgconfig/" CACHE STRING
    "Base directory for pkgconfig files")

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug)
endif()

find_package(Qt4 REQUIRED)
pkg_check_modules(MODEMMANAGER REQUIRED ModemManager>=0.8)

add_definitions(${QT_DEFINITIONS})

include(CheckCXXCompilerFlag)
check_cxx_compiler_flag("-Werror=return-type" HAVE_GCC_ERROR_RETURN_TYPE)
if (HAVE_GCC_ERROR_RETURN_TYPE)
    set(CMAKE_CXX_FLAGS "-Werror=return-type")
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/dbus
    ${CMAKE_CURRENT_BUILD_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_INCLUDE_PATH}
    ${QT_INCLUDES}
    ${MODEMMANAGER_INCLUDE_DIRS}
)

link_directories(${CMAKE_LIBRARY_PATH})

#add_subdirectory(dbus)

set(ModemManagerQt_HEADERS
    dbus/generic-types.h
    ModemManagerQt-export.h
    bearer.h
    interface.h
    manager.h
    modem.h
    modem3gpp.h
    modem3gppussd.h
    modemcdma.h
    modemdevice.h
    modemlocation.h
    modemmessaging.h
    modemtime.h
    sim.h
    sms.h
)

set(ModemManagerQt_PRIVATE_HEADERS
    bearer_p.h
    interface_p.h
    manager_p.h
    modem_p.h
    modem3gpp_p.h
    modem3gppussd_p.h
    modemcdma_p.h
    modemdevice_p.h
    modemlocation_p.h
    modemmessaging_p.h
    modemtime_p.h
    sim_p.h
    sms_p.h
)

set(ModemManagerQt_SRCS
    bearer.cpp
    interface.cpp
    manager.cpp
    modem.cpp
    modem3gpp.cpp
    modem3gppussd.cpp
    modemcdma.cpp
    modemdevice.cpp
    modemlocation.cpp
    modemmessaging.cpp
    modemtime.cpp
    sim.cpp
    sms.cpp
)

set( DBUS_INTERFACES_FILES
   dbus/generic-types.cpp
   dbus/Bearer.cpp
   dbus/Location.cpp
   dbus/Manager.cpp
   dbus/Messaging.cpp
   dbus/Modem.cpp
   dbus/Modem3gpp.cpp
   dbus/Modem3gppUssd.cpp
   dbus/ModemCdma.cpp
   dbus/ModemSimple.cpp
   dbus/Sim.cpp
   dbus/Sms.cpp
   dbus/Time.cpp
   dbus/dbus_manager.cpp
)

set( DBUS_INTERFACES_HEADERS
   dbus/generic-types.h
   dbus/Bearer.h
   dbus/Location.h
   dbus/Manager.h
   dbus/Messaging.h
   dbus/Modem.h
   dbus/Modem3gpp.h
   dbus/Modem3gppUssd.h
   dbus/ModemCdma.h
   dbus/ModemSimple.h
   dbus/Sim.h
   dbus/Sms.h
   dbus/Time.h
   dbus/dbus_manager.h
)

qt4_wrap_cpp(ModemManagerQt_MOC ${ModemManagerQt_HEADERS} ${ModemManagerQt_PRIVATE_HEADERS} ${DBUS_INTERFACES_HEADERS})
qt4_automoc(${DBUS_INTERFACES_FILES})

add_library(ModemManagerQt SHARED ${ModemManagerQt_MOC} ${ModemManagerQt_SRCS} ${DBUS_INTERFACES_FILES})

target_link_libraries(ModemManagerQt ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTDBUS_LIBRARY})
install(TARGETS ModemManagerQt DESTINATION ${LIB_DESTINATION})

install(FILES ${ModemManagerQt_HEADERS} DESTINATION include/ModemManagerQt COMPONENT Devel)

set_property(TARGET ModemManagerQt PROPERTY COMPILE_DEFINITIONS MAKE_MODEMMANAGERQT_LIB)
set_property(TARGET ModemManagerQt PROPERTY VERSION ${VERSION})
set_property(TARGET ModemManagerQt PROPERTY SOVERSION 0)

message(STATUS "Writing pkg-config file...")
configure_file(${CMAKE_SOURCE_DIR}/ModemManagerQt.pc.cmake ${CMAKE_BINARY_DIR}/ModemManagerQt.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/ModemManagerQt.pc DESTINATION "${PKGCONFIG_INSTALL_PREFIX}")

##################  apidox  ################################
find_package(Doxygen)

if(DOXYGEN_EXECUTABLE)
  configure_file(${CMAKE_SOURCE_DIR}/.Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

  if(EXISTS ${QT_DOC_DIR}/html)
    set(QTDOCS "${QT_DOC_DIR}/html")
  else(EXISTS ${QT_DOC_DIR}/html)
    set(QTDOCS "http://qt-project.org/doc/latest/")
  endif(EXISTS ${QT_DOC_DIR}/html)

  add_custom_target(
    apidox
    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile)
endif(DOXYGEN_EXECUTABLE)

##################  examples  ################################
option(BUILD_EXAMPLES "Build example applications" FALSE)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(BUILD_EXAMPLES)

##################  uninstall target  ########################
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== dbus/CMakeLists.txt ===
find_package(Qt4 REQUIRED)

add_definitions(${QT_DEFINITIONS})
set( INTERFACE_INTROSPECTION_XML_FILES
   introspection/org.freedesktop.ModemManager1.Bearer.xml
   introspection/org.freedesktop.ModemManager1.Modem.Location.xml
   introspection/org.freedesktop.ModemManager1.Modem.Messaging.xml
   introspection/org.freedesktop.ModemManager1.Modem.Modem3gpp.Ussd.xml
   introspection/org.freedesktop.ModemManager1.Modem.Modem3gpp.xml
   introspection/org.freedesktop.ModemManager1.Modem.ModemCdma.xml
   introspection/org.freedesktop.ModemManager1.Modem.Simple.xml
   introspection/org.freedesktop.ModemManager1.Modem.Time.xml
   introspection/org.freedesktop.ModemManager1.Modem.xml
   introspection/org.freedesktop.ModemManager1.Sim.xml
   introspection/org.freedesktop.ModemManager1.Sms.xml
   introspection/org.freedesktop.ModemManager1.xml
   )

set( ADAPTER_INTROSPECTION_XML_FILES
   )

set_property( SOURCE ${INTERFACE_INTROSPECTION_XML_FILES} PROPERTY INCLUDE generic-types.h)
set_source_files_properties( ${INTERFACE_INTROSPECTION_XML_FILES} ${ADAPTER_INTROSPECTION_XML_FILES} PROPERTIES NO_NAMESPACE TRUE )

set( UNUSED_XML
)


set( FILES_TO_BUILD
   )
set ( UNUSED_FILES
)

set( UNUSED_GENERATED_FILES
)

QT4_ADD_DBUS_INTERFACES( FILES_TO_BUILD ${INTERFACE_INTROSPECTION_XML_FILES} )

add_library(modemmanagerdbus ${FILES_TO_BUILD})

TARGET_LINK_LIBRARIES(modemmanagerdbus ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})

=== examples/CMakeLists.txt ===
project(exampleModemManagerQt)
cmake_minimum_required(VERSION 2.6)

include(FindPkgConfig)
find_package(Qt4 REQUIRED)

pkg_check_modules(MODEMMANAGERQT REQUIRED ModemManagerQt)
if (NOT MODEMMANAGERQT_FOUND)
    message(FATAL_ERROR "ERROR: ModemManagerQt not found. http://projects.kde.org/search?q=networkmanager&scope=all&all_words=1&projects=1&submit=Submit")
endif (NOT MODEMMANAGERQT_FOUND)

pkg_check_modules(MODEMMANAGER REQUIRED ModemManager)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${QTNETWORK_INCLUDE_DIRS} ${MODEMMANAGERQT_INCLUDE_DIRS} ${MODEMMANAGER_INCLUDE_DIRS} ${QT_INCLUDES})
link_directories(${QTNETWORK_LIBRARY_DIRS} ${MODEMMANAGERQT_LIBRARY_DIRS} ${QT_QTDBUS_LIBRARY_DIRS})

set(exampleModemManagerQt_SRCS
   main.cpp
)

add_executable(exampleModemManagerQt ${exampleModemManagerQt_SRCS})
target_link_libraries(exampleModemManagerQt ModemManagerQt QtCore)

## libmm-qt 0.5.0

=== debian/changelog ===
libmm-qt (0.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1223713)
  * Update description of packages.
  * Bump debhelper version to 9.
  * Add a new binary libnetworkmanagerqt-dbg debugging package.
  * Update symbols.
  * Add debian/watch file.
  * Fixed a lintian warning of duplicating sections in debian/control.

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 10 Sep 2013 19:17:14 +0800

libmm-qt (0.0~git20130816-0ubuntu1) saucy; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Aug 2013 17:05:26 +0100

=== debian/control ===
Source: libmm-qt
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev, pkg-config
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libmm-qt

Package: libmodemmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libmodemmanagerqt0 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- development files
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the development files.

Package: libmodemmanagerqt0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API
 Qt-only wrapper for ModemManager DBus API.

Package: libmodemmanagerqt-dbg
Section: debug
Architecture: any
Depends: libmodemmanagerqt0 (=${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- debugging symbols
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the debugging symbols.

## libmm-qt 0.5.1

=== debian/changelog ===
libmm-qt (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #729959)
  * New patch: libdir.diff, honour LIB_DESTINATION.
  * Update symbols for s390x.
  * Update symbols for armhf.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Nov 2013 20:36:54 +0100

=== debian/control ===
Source: libmm-qt
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8), libqt4-dev, pkg-config
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libmm-qt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libmm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libmm-qt.git

Package: libmodemmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libmodemmanagerqt0 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- development files
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the development files.

Package: libmodemmanagerqt0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API
 Qt-only wrapper for ModemManager DBus API.

Package: libmodemmanagerqt-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libmodemmanagerqt0 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- debugging symbols
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_DESTINATION=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip --dbg-package=libmodemmanagerqt-dbg

## libmm-qt 1.0.1

=== debian/changelog ===
libmm-qt (1.0.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 28 Mar 2014 11:09:13 +0100

libmm-qt (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Change package priority.
  * Remove patch: libdir.diff, applied upstream
  * Import ubuntu patch to bump soversion.
  * Import ubuntu symbols file.
  * Bump library package soversion.
  * Aesthetic change, further reduce rules file.
  * New patch: do_not_override_cflags
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 28 Mar 2014 11:08:50 +0100

=== debian/control ===
Source: libmm-qt
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libqt4-dev,
               modemmanager-dev (>= 0.8),
               pkg-config
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/extragear/libs/libmm-qt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libmm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libmm-qt.git

Package: libmodemmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libmodemmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- development files
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the development files.

Package: libmodemmanagerqt1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper for ModemManager DBus API
 Qt-only wrapper for ModemManager DBus API.

Package: libmodemmanagerqt-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libmodemmanagerqt1 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for ModemManager DBus API -- debugging symbols
 Qt-only wrapper for ModemManager DBus API.
 .
 This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --dbg-package=libmodemmanagerqt-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_DESTINATION=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/unstable/modemmanager-qt/([\d\.]*)/src/libmm-qt-([\d\.]*).tar.xz

## libmm-qt 5.2.2

=== debian/changelog ===
libmm-qt (5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:35:38 -0700

libmm-qt (5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:44:19 -0800

libmm-qt (5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:55:50 +0100

libmm-qt (5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:33:22 +0100

libmm-qt (5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:49:33 +0100

libmm-qt (5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Oct 2014 16:08:43 +0200

libmm-qt (5.0.93-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:20:02 -0700

libmm-qt (5.0.92-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream bugfix release

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 17:04:17 +0200

libmm-qt (5.0.91-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.
  * Update watch to http://download.kde.org
  * Update extra-cmake-modules depends version

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 10 Jul 2014 10:24:08 +0100

=== debian/control ===
Source: libmm-qt
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libkf5networkmanagerqt-dev,
               modemmanager-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Section: libs
Homepage: https://projects.kde.org/projects/kde/workspace/libmm-qt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/libmm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libmm-qt.git

Package: libkf5modemmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libkf5modemmanagerqt5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt wrapper for ModemManager - devel files.
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Plasma.
 .
 This package contains the development files

Package: libkf5modemmanagerqt5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Plasma.

Package: libkf5modemmanagerqt5-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5modemmanagerqt5 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for networkmanager - debug files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5modemmanagerqt5-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/libmm-qt-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/libmm-qt-(.*)\.tar\.xz
